---
- hosts: [ swm_server ]
  become: yes
  vars:
    swmserver_http_host: "api.{{ host_domain }}"
    swm_server_container_labels:
      traefik.enable: "true"
      traefik.http.routers.swmserver.rule: "Host(`{{ swmserver_http_host }}`)"
      #traefik.http.routers.swmserver.rule: "Path(`/api/users`)"
      traefik.http.routers.swmserver.entrypoints: "web-secure"
      traefik.http.routers.swmserver.tls.certresolver: "letsencrypt"
      traefik.http.services.swmserver.loadbalancer.server.port: "8080"
  tasks:
    - include_role:
        name: "studywithme_server"
